Package org.mariadb.jdbc.util.constants

## Class ConnectionState

- java.lang.Object
- - org.mariadb.jdbc.util.constants.ConnectionState

    public final class ConnectionState
    extends Object

Connection state change, to ensure what is needed to reset connection to a proper state

### Field Summary

Fields
`static int` `STATE_AUTOCOMMIT` flag indicating that autocommit has been changed
`static int` `STATE_DATABASE` flag indicating that default database has been changed
`static int` `STATE_NETWORK_TIMEOUT` flag indicating that network timeout has been changed
`static int` `STATE_READ_ONLY` flag indicating that connection read only has been changed
`static int` `STATE_TRANSACTION_ISOLATION` flag indicating that transaction isolation has been changed

### Constructor Summary

Constructors
`ConnectionState()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATE_NETWORK_TIMEOUT

    public static final int STATE_NETWORK_TIMEOUT

flag indicating that network timeout has been changed

See Also:
  Constant Field Values

#### STATE_DATABASE

    public static final int STATE_DATABASE

flag indicating that default database has been changed

See Also:
  Constant Field Values

#### STATE_READ_ONLY

    public static final int STATE_READ_ONLY

flag indicating that connection read only has been changed

See Also:
  Constant Field Values

#### STATE_AUTOCOMMIT

    public static final int STATE_AUTOCOMMIT

flag indicating that autocommit has been changed

See Also:
  Constant Field Values

#### STATE_TRANSACTION_ISOLATION

    public static final int STATE_TRANSACTION_ISOLATION

flag indicating that transaction isolation has been changed

See Also:
  Constant Field Values

### Constructor Detail

#### ConnectionState

    public ConnectionState()